## requests 2.11.1

=== requirements.txt ===
alabaster==0.7.7
Babel==2.2.0
coverage==4.0.3
decorator==4.0.9
docutils==0.12
Flask==0.10.1
httpbin==0.4.1
itsdangerous==0.24
Jinja2==2.8
MarkupSafe==0.23
py==1.4.31
Pygments==2.1.1
PySocks==1.5.6
pytest==2.8.7
pytest-cov==2.2.1
pytest-httpbin==0.2.0
pytest-mock==0.11.0
pytz==2015.7
six==1.10.0
snowballstemmer==1.2.1
Sphinx==1.3.5
sphinx-rtd-theme==0.1.9
Werkzeug==0.11.4
wheel==0.29.0

## requests 0.5.0

=== debian/changelog ===
requests (0.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Updated description to mention proxy support

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 26 Jun 2011 07:12:03 +0200

requests (0.4.1-1) unstable; urgency=low

  * Initial release (Closes: #629370)

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 06 Jun 2011 02:11:15 +0200

=== debian/control ===
Source: requests
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3),
Standards-Version: 3.9.2
X-Python-Version: >= 2.5
Homepage: http://python-requests.org
Vcs-Svn: svn://svn.debian.org/python-modules/packages/requests/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/requests/trunk/

Package: python-requests
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-eventlet | python-gevent
Description: elegant and simple HTTP library for Python, built for human beings
 Requests allow you to send GET, HEAD, PUT, POST, and DELETE
 HTTP requests. You can add headers, form data, multipart files, and
 parameters with simple Python dictionaries, and access the response
 data in the same way. It's powered by urllib2, but it does all the
 hard work and crazy hacks for you.
 .
 Features
 .
   - Extremely simple GET, HEAD, POST, PUT, DELETE Requests
   - Simple HTTP Header Request Attachment
   - Simple Data/Params Request Attachment
   - Simple Multipart File Uploads
   - CookieJar Support
   - Redirection History
   - Proxy Support
   - Redirection Recursion Urllib Fix
   - Auto Decompression of GZipped Content
   - Unicode URL Support
   - Simple Authentication: Simple URL + HTTP Auth Registry

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/r/requests/requests-(.*)\.tar\.gz debian uupdate

## requests 0.8.2

=== debian/changelog ===
requests (0.8.2-1) unstable; urgency=low

  * New upstream release
  * debian/watch
    - Removed "debian uupdate" options
  * debian/{copyright,README.source}
    - Updated to reflect upstream changes: switched from poster to
      urllib3
    - Added a stanza about the embedded modified copy of the
      standard module Cookie

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 25 Nov 2011 00:02:28 +0100

requests (0.6.4-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Dropped python-eventlet from Depends field because it's not used
      anymore
    - Moved python-gevent from Depends field to Recommends field so
      python-requests can be installed also in ia64 and sparc

 -- Daniele Tricoli <eriol@mornie.org>  Wed, 19 Oct 2011 20:49:39 +0200

requests (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 23 Aug 2011 02:00:41 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
 
 Package: python-requests
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-eventlet | python-gevent
+Depends: ${misc:Depends}, ${python:Depends}
+Recommends: python-gevent
 Description: elegant and simple HTTP library for Python, built for human beings
  Requests allow you to send GET, HEAD, PUT, POST, and DELETE
  HTTP requests. You can add headers, form data, multipart files, and

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst upstream

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/r/requests/requests-(.*)\.tar\.gz

## requests 0.10.1

=== debian/changelog ===
requests (0.10.1-1) unstable; urgency=low

  * New upstream release
    - Adds Python 3 support
  * Builded python 3 package
  * debian/control
    - Added python-chardet to Recommends
    - Bumped X-Python-Version >= 2.6
    - Added ca-certificates to Depends
    - Added python3-all to Build-Depends
  * debian/copyright
    - Updated Format URI
    - Updated copyright years
  * debian/patches/01_do-not-use-python-certifi.patch
    - To verify SSL certificates for HTTPS requests, use the bundle provided by
      ca-certificates instead of python-certifi
  * debian/patches/02_fix-python3-except-sintax-error.patches
    - Fix SyntaxError on Python3 because "except Error, e" is not supported
      anymore
  * debian/rules
    - Added override_dh_auto_clean to make the package build twice in a row

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 05 Feb 2012 04:51:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,26 @@
 Uploaders: Daniele Tricoli <eriol@mornie.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50~),
-               python-all (>= 2.6.6-3),
+Build-Depends:
+ debhelper (>= 7.0.50~),
+ python-all (>= 2.6.6-3),
+ python3-all
 Standards-Version: 3.9.2
-X-Python-Version: >= 2.5
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.0
 Homepage: http://python-requests.org
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/requests/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/requests/trunk/
 
 Package: python-requests
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Recommends: python-gevent
+Depends:
+ ${misc:Depends},
+ ${python:Depends},
+ ca-certificates
+Recommends:
+ python-chardet,
+ python-gevent
 Description: elegant and simple HTTP library for Python, built for human beings
  Requests allow you to send GET, HEAD, PUT, POST, and DELETE
  HTTP requests. You can add headers, form data, multipart files, and
@@ -35,3 +43,32 @@
    - Auto Decompression of GZipped Content
    - Unicode URL Support
    - Simple Authentication: Simple URL + HTTP Auth Registry
+
+Package: python3-requests
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${python:Depends},
+ ca-certificates
+Description: elegant and simple HTTP library for Python3, built for human beings
+ Requests allow you to send GET, HEAD, PUT, POST, and DELETE
+ HTTP requests. You can add headers, form data, multipart files, and
+ parameters with simple Python dictionaries, and access the response
+ data in the same way. It's powered by urllib2, but it does all the
+ hard work and crazy hacks for you.
+ .
+ Features
+ .
+   - Extremely simple GET, HEAD, POST, PUT, DELETE Requests
+   - Simple HTTP Header Request Attachment
+   - Simple Data/Params Request Attachment
+   - Simple Multipart File Uploads
+   - CookieJar Support
+   - Redirection History
+   - Proxy Support
+   - Redirection Recursion Urllib Fix
+   - Auto Decompression of GZipped Content
+   - Unicode URL Support
+   - Simple Authentication: Simple URL + HTTP Auth Registry
+ .
+ This package contains the Python 3 version of the library.

## requests 0.10.8

=== debian/changelog ===
requests (0.10.8-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Fix typo in python3-requests' ${python3:Depends}

  [ Daniele Tricoli ]
  * New upstream release (Closes: #663561)
  * Removed embedded copy of python-six
    - Added debian/patches/02_do-not-use-embedded-python-six.patch
    - Added override_dh_auto_configure to debian/rules to remove
      the embedded copy
    - Added python(3)-six to Builds-Depends and Depends
  * debian/control
    - Bumped Standards-Version to 3.9.3 (no changes needed)
  * debian/copyright
    - Added forgotten stanzas about packages inside the fork
      of python-urllib3
  * debian/patches/01_do-not-use-python-certifi.patch
    - Refreshed
  * debian/patches/02_fix-python3-except-sintax-error.patch
    - Removed as it is applied upstream

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 19 Mar 2012 01:20:59 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends:
  debhelper (>= 7.0.50~),
  python-all (>= 2.6.6-3),
- python3-all
-Standards-Version: 3.9.2
+ python-six,
+ python3-all,
+ python3-six
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: http://python-requests.org
@@ -19,7 +21,8 @@
 Depends:
  ${misc:Depends},
  ${python:Depends},
- ca-certificates
+ ca-certificates,
+ python-six
 Recommends:
  python-chardet,
  python-gevent
@@ -48,8 +51,9 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- ${python:Depends},
- ca-certificates
+ ${python3:Depends},
+ ca-certificates,
+ python3-six
 Description: elegant and simple HTTP library for Python3, built for human beings
  Requests allow you to send GET, HEAD, PUT, POST, and DELETE
  HTTP requests. You can add headers, form data, multipart files, and

## requests 0.12.1

=== debian/changelog ===
requests (0.12.1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Switch back to embedded python-six since it isn't present in
    backports.

 -- Luke Faraone <lfaraone@debian.org>  Wed, 17 Apr 2013 14:10:05 -0400

requests (0.12.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Added python-oauthlib to python-requests' Recommends field
  * debian/patches/01_do-not-use-python-certifi.patch
    - Refreshed

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 04 May 2012 14:34:47 +0200

requests (0.11.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/01_do-not-use-python-certifi.patch
    - Refreshed

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 23 Apr 2012 16:06:33 +0200

requests (0.11.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Added python3-chardet to python3-requests' Recommends field
    - Updated Description field
  * debian/patches/02_do-not-use-embedded-python-six.patch
    - Refreshed

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 01 Apr 2012 12:33:42 +0200

=== debian/control ===
Source: requests
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 7.0.50~),
 python-all (>= 2.6.6-3),
 python3-all,
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Homepage: http://python-requests.org
Vcs-Svn: svn://svn.debian.org/python-modules/packages/requests/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/requests/trunk/

Package: python-requests
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ca-certificates,
Recommends:
 python-chardet,
 python-gevent,
 python-oauthlib
Description: elegant and simple HTTP library for Python, built for human beings
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access the
 response data in the same way. It's powered by httplib and urllib3, but it does
 all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts

Package: python3-requests
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ca-certificates,
Recommends:
 python3-chardet
Description: elegant and simple HTTP library for Python3, built for human beings
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access the
 response data in the same way. It's powered by httplib and urllib3, but it does
 all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS := $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with python2,python3 --buildsystem=python_distutils

override_dh_auto_build:
	set -ex; \
	for python in $(PYVERS) $(PY3VERS); do \
		$$python setup.py build; \
	done

override_dh_auto_clean:
	rm -rf build
	dh_auto_clean

override_dh_auto_install:
	set -ex; \
	for python in $(PYVERS); do \
		$$python setup.py install --skip-build --root debian/python-requests \
			--install-layout deb; \
	done

	set -ex; \
	for python in $(PY3VERS); do \
		$$python setup.py install --skip-build --root debian/python3-requests \
			--install-layout deb; \
	done

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

## requests 1.1.0

=== debian/changelog ===
requests (1.1.0-1) experimental; urgency=low

  * New upstream release (Closes: #692602)
    - Thanks to Barry Warsaw for report
  * debian/control
    - Added python-chardet, python3-chardet to Build-Depends and moved
      them from Recommends to Depends since chardet is now required
    - Added python(3)-urllib3 (>= 1.5) to Build-Depends and Depends
      since the embedded copy is no more a fork
    - Removed python(3)-six since python(3)-urllib3 is not embedded
      anymore
    - Removed python-gevent and python-oauthlib from Recommends
      since upstream is not using them anymore
    - Bumped Standards-Version to 3.9.4 (no changes needed)
    - Fixed lintian vcs-field-not-canonical
  * debian/copyright
    - Updated to reflect upstream switch to Apache 2.0 and updated
      copyright years
  * debian/patches/01_do-not-use-python-certifi.patch
    - Removed because no longer necessary
  * debian/patches/02_do-not-use-embedded-python-six.patch
    - Removed because no longer necessary
  * debian/patches/01_use-system-ca-certificates.patch
    - Use the bundle provided by ca-certificates instead of
      the embedded one
  * debian/patches/02_use-system-chardet-and-urllib3.patches
    - Use the system python-chardet and python-urllib3 instead of the
      embedded copies

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 20 Jan 2013 23:03:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,17 @@
 Build-Depends:
  debhelper (>= 7.0.50~),
  python-all (>= 2.6.6-3),
+ python-chardet,
+ python-urllib3 (>= 1.5),
  python3-all,
-Standards-Version: 3.9.3
+ python3-chardet,
+ python3-urllib3 (>= 1.5)
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: http://python-requests.org
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/requests/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/requests/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/requests/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/requests/trunk/
 
 Package: python-requests
 Architecture: all
@@ -20,10 +24,8 @@
  ${misc:Depends},
  ${python:Depends},
  ca-certificates,
-Recommends:
  python-chardet,
- python-gevent,
- python-oauthlib
+ python-urllib3 (>= 1.5),
 Description: elegant and simple HTTP library for Python, built for human beings
  Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
  multipart files, and parameters with simple Python dictionaries, and access the
@@ -49,8 +51,8 @@
  ${misc:Depends},
  ${python3:Depends},
  ca-certificates,
-Recommends:
- python3-chardet
+ python3-chardet,
+ python3-urllib3 (>= 1.5)
 Description: elegant and simple HTTP library for Python3, built for human beings
  Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
  multipart files, and parameters with simple Python dictionaries, and access the

## requests 1.2.3

=== debian/changelog ===
requests (1.2.3-1) unstable; urgency=low

  * New upstream release (Closes: #712915) (LP: #1187429)
    - Thanks to Scott Moser for the report
  * debian/compat
    - Bumped debhelper compatibility level to 9
  * debian/control
    - Bumped debhelper B-D to (>= 9)
    - Temporarily bumped X-Python-Version to >= 2.7 to prevent FTBFS
      due to lack of python-urllib3 for Python 2.6
  * debian/patches/02_use-system-chardet-and-urllib3.patches
    - Refreshed

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 21 Jun 2013 08:52:39 +0200

requests (1.2.0-2) unstable; urgency=low

  * Uploading to unstable.
  * rm -rf requests.egg-info on clean so the package can be built twice.

 -- Thomas Goirand <zigo@debian.org>  Sat, 11 May 2013 05:15:04 +0000

requests (1.2.0-1) experimental; urgency=low

  * New upstream version.
  * Refreshed both debian-specific patches.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Apr 2013 22:56:42 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  python-all (>= 2.6.6-3),
  python-chardet,
  python-urllib3 (>= 1.5),
@@ -12,7 +12,7 @@
  python3-chardet,
  python3-urllib3 (>= 1.5)
 Standards-Version: 3.9.4
-X-Python-Version: >= 2.6
+X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.0
 Homepage: http://python-requests.org
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/requests/trunk/

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 override_dh_auto_clean:
 	rm -rf build
 	dh_auto_clean
+	rm -rf requests.egg-info
 
 override_dh_auto_install:
 	set -ex; \

## requests 2.0.0

=== debian/changelog ===
requests (2.0.0-1~bpo70+2) wheezy-backports; urgency=medium

  * Rebuild with python2.6 support.

 -- Julien Cristau <jcristau@debian.org>  Wed, 12 Nov 2014 14:27:02 +0100

requests (2.0.0-1~bpo70+1) wheezy-backports; urgency=low

  * Backport to wheezy-backports.
  * Add myself to Uploaders.

 -- Micah Anderson <micah@debian.org>  Tue, 29 Oct 2013 12:00:36 -0400

requests (2.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #725784)
  * Switched to pybuild
  * debian/clean
    - Switched to debian/clean for cleaning instead of using debian/rules
  * debian/control
    - Bumped python(3)-urllib3 to (>=1.7.1)
  * debian/copyright
    - Updated copyright year
  * debian/patches/02_use-system-chardet-and-urllib3.patches
    - Refreshed
  * debian/watch
    - Switched download URL to https

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 18 Oct 2013 19:20:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: requests
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniele Tricoli <eriol@mornie.org>
+Uploaders: Daniele Tricoli <eriol@mornie.org>,
+ Micah Anderson <micah@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
  debhelper (>= 9),
+ dh-python,
  python-all (>= 2.6.6-3),
  python-chardet,
- python-urllib3 (>= 1.5),
+ python-urllib3 (>= 1.7.1),
  python3-all,
  python3-chardet,
- python3-urllib3 (>= 1.5)
+ python3-urllib3 (>= 1.7.1)
 Standards-Version: 3.9.4
-X-Python-Version: >= 2.7
+X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: http://python-requests.org
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/requests/trunk/
@@ -25,7 +27,7 @@
  ${python:Depends},
  ca-certificates,
  python-chardet,
- python-urllib3 (>= 1.5),
+ python-urllib3 (>= 1.7.1),
 Description: elegant and simple HTTP library for Python, built for human beings
  Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
  multipart files, and parameters with simple Python dictionaries, and access the

## requests 2.2.1

=== debian/changelog ===
requests (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Bumped Standards-Version to 3.9.5 (no changes needed)
  * debian/copyright
    - Updated copyright years
  * debian/patches/02_use-system-chardet-and-urllib3.patches
    - Refreshed

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 27 Jan 2014 04:58:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: requests
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniele Tricoli <eriol@mornie.org>,
- Micah Anderson <micah@debian.org>
+Uploaders: Daniele Tricoli <eriol@mornie.org>
 Section: python
 Priority: optional
 Build-Depends:
@@ -13,8 +12,8 @@
  python3-all,
  python3-chardet,
  python3-urllib3 (>= 1.7.1)
-Standards-Version: 3.9.4
-X-Python-Version: >= 2.6
+Standards-Version: 3.9.5
+X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.0
 Homepage: http://python-requests.org
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/requests/trunk/

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python2=debian/python-requests/
export PYBUILD_DESTDIR_python3=debian/python3-requests/


%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/r/requests/requests-(.*)\.tar\.gz

## requests 2.3.0

=== debian/changelog ===
requests (2.3.0-1ubuntu0.1) utopic-security; urgency=medium

  * SECURITY UPDATE: Session fixation and cookie stealing issue
    (LP: #1432555).
    - debian/patches/CVE-2015-2296.patch: extract cookies from the original
      request (which still has the host which returned the cookies)
    - CVE-2015-2296

 -- Daniel Watkins <daniel.watkins@canonical.com>  Mon, 16 Mar 2015 10:37:44 +0000

requests (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control: Added python{,3}-pytest to Build-Depends.
  * d/patches/*: Refreshed.

 -- Barry Warsaw <barry@debian.org>  Wed, 04 Jun 2014 10:40:46 -0400

requests (2.2.1-3) unstable; urgency=medium

  * Team upload.
  * d/control:
    - Fix python-requests-whl Depends.
    - Fix typo in python-requests-whl description.

 -- Barry Warsaw <barry@debian.org>  Thu, 22 May 2014 18:33:19 -0400

requests (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    - Add python-requests-whl binary package.
    - Build-Depends on python3-wheel, python-setuptools,
      and python3-setuptools.
    - wrap-and-sort.
  * debian/rules:
    - Simplify by using PYBUILD_NAME.
    - Build the universal wheels.

 -- Barry Warsaw <barry@debian.org>  Thu, 15 May 2014 17:09:30 -0400

=== debian/control ===
Source: requests
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python-chardet,
               python-pytest,
               python-setuptools,
               python-urllib3 (>= 1.7.1),
               python3-all,
               python3-chardet,
               python3-pytest,
               python3-setuptools,
               python3-urllib3 (>= 1.7.1),
               python3-wheel
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.0
Homepage: http://python-requests.org
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/requests/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/requests/trunk/

Package: python-requests
Architecture: all
Depends: ca-certificates,
         python-chardet,
         python-urllib3 (>= 1.7.1),
         ${misc:Depends},
         ${python:Depends}
Description: elegant and simple HTTP library for Python, built for human beings
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access
 the response data in the same way. It's powered by httplib and urllib3, but
 it does all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts

Package: python3-requests
Architecture: all
Depends: ca-certificates,
         python3-chardet,
         python3-urllib3 (>= 1.5),
         ${misc:Depends},
         ${python3:Depends}
Description: elegant and simple HTTP library for Python, built for human beings
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access
 the response data in the same way. It's powered by httplib and urllib3, but
 it does all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts
 .
 This package contains the Python 3 version of the library.

Package: python-requests-whl
Architecture: all
Depends: ca-certificates,
         python-urllib3-whl,
         ${misc:Depends},
         ${python3:Depends}
Description: elegant and simple HTTP library for Python, built for human beings
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access
 the response data in the same way. It's powered by httplib and urllib3, but
 it does all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts
 .
 This package provides the universal wheel.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=requests

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

# The test suite currently requires external network access, so we
# can't enable it.  Once this issue is fixed, it will be easy to
# re-enable.
#
# https://github.com/kennethreitz/requests/issues/1166
#
# barry@debian.org 2014-06-04
#override_dh_auto_test:
#	PYBUILD_SYSTEM=custom \
#	PYBUILD_TEST_ARGS="{interpreter} test_requests.py" \
#	http_proxy= https_proxy= \
#	dh_auto_test

override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_auto_install:
	dh_auto_install
	python3 setup.py bdist_wheel \
		--universal \
		-d $(CURDIR)/debian/tmp/usr/share/python-wheels

## requests 2.4.3

=== debian/changelog ===
requests (2.4.3-6) unstable; urgency=medium

  * debian/patches/05_do-not-ascribe-cookies-to-the-target-domain.patch
    - Fix session fixation and cookie stealing: CVE-2015-2296.
      (Closes: #780506)

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 16 Mar 2015 01:31:10 +0100

requests (2.4.3-5) unstable; urgency=medium

  * Team upload.
  * d/control: Remove the Build-Depends on python{,3}-pytest since we
    aren't actually running the tests at build time.  (Closes: #770173)
  * d/rules: Update the comment about why the tests are currently disabled
    at build time to point to the updated upstream url.

 -- Barry Warsaw <barry@debian.org>  Wed, 19 Nov 2014 18:00:46 -0500

requests (2.4.3-4) unstable; urgency=medium

  * debian/patches/04_make-requests.packages.urllib3-same-as-urllib3.patch
    - Fix requests.packages.urllib3 sub on Python 3. Thanks to Tianon
      Gravi for the report. (Closes: #769496)

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 14 Nov 2014 04:50:22 +0100

requests (2.4.3-3) unstable; urgency=medium

  * debian/patches/04_make-requests.packages.urllib3-same-as-urllib3.patch
    - Make Python import system know that requests.packages.urllib3 and
      urllib3 are the same thing. Thanks to Jakub Wilk for the patch.
      (Closes: #769047)

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 11 Nov 2014 03:28:18 +0100

requests (2.4.3-2) unstable; urgency=medium

  * debian/patches/03_export-IncompleteRead.patch
    - Export IncompleteRead from requests.compat since it's imported by
      python-pip. (Closes: #766419)

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 23 Oct 2014 02:54:46 +0200

requests (2.4.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Fix duplicate-short-description.
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Add python-ndg-httpsclient, python-openssl and python-pyasn1 into
      python-urllib3's Recomends to ensure that SNI works as expected and to
      prevent CRIME attack. (Closes: #755805)
    - Add python3-ndg-httpsclient, python3-openssl and python3-pyasn1 into
      python3-urllib3's Suggests since Python 3 already support SNI and
      and SSL compression can be disabled using OP_NO_COMPRESSION.
    - Bump python{,3}-urllib3 to (>=1.9.1).
  * debian/patches/01_use-system-ca-certificates.patch
    - Refresh.
  * debian/patches/02_use-system-chardet-and-urllib3.patch
    - Refresh.
    - Provide requests.packages package because it will be used to supply
      a stub for requests.packages.urllib3.
  * debian/python{,3}-requests.links:
    - Provide requests.packages.urllib3 as symlink of python{,3}-urllib3
      system package since it is used as import location. (Closes: #753578)

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 21 Oct 2014 01:35:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: requests
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Daniele Tricoli <eriol@mornie.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-python,
-               python-all (>= 2.6.6-3),
-               python-chardet,
-               python-pytest,
-               python-setuptools,
-               python-urllib3 (>= 1.7.1),
-               python3-all,
-               python3-chardet,
-               python3-pytest,
-               python3-setuptools,
-               python3-urllib3 (>= 1.7.1),
-               python3-wheel
-Standards-Version: 3.9.5
+Build-Depends:
+ debhelper (>= 9),
+ dh-python,
+ python-all (>= 2.6.6-3),
+ python-chardet,
+ python-setuptools,
+ python-urllib3 (>= 1.9.1),
+ python3-all,
+ python3-chardet,
+ python3-setuptools,
+ python3-urllib3 (>= 1.7.1),
+ python3-wheel
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.0
 Homepage: http://python-requests.org
@@ -26,12 +24,17 @@
 
 Package: python-requests
 Architecture: all
-Depends: ca-certificates,
-         python-chardet,
-         python-urllib3 (>= 1.7.1),
-         ${misc:Depends},
-         ${python:Depends}
-Description: elegant and simple HTTP library for Python, built for human beings
+Depends:
+ ${misc:Depends},
+ ${python:Depends},
+ ca-certificates,
+ python-chardet,
+ python-urllib3 (>= 1.9.1)
+Recommends: 
+  python-ndg-httpsclient,
+  python-openssl,
+  python-pyasn1
+Description: elegant and simple HTTP library for Python2, built for human beings
  Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
  multipart files, and parameters with simple Python dictionaries, and access
  the response data in the same way. It's powered by httplib and urllib3, but
@@ -52,12 +55,17 @@
 
 Package: python3-requests
 Architecture: all
-Depends: ca-certificates,
-         python3-chardet,
-         python3-urllib3 (>= 1.5),
-         ${misc:Depends},
-         ${python3:Depends}
-Description: elegant and simple HTTP library for Python, built for human beings
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ca-certificates,
+ python3-chardet,
+ python3-urllib3 (>= 1.9.1)
+Suggests:
+ python3-ndg-httpsclient,
+ python3-openssl,
+ python3-pyasn1
+Description: elegant and simple HTTP library for Python3, built for human beings
  Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
  multipart files, and parameters with simple Python dictionaries, and access
  the response data in the same way. It's powered by httplib and urllib3, but
@@ -80,10 +88,11 @@
 
 Package: python-requests-whl
 Architecture: all
-Depends: ca-certificates,
-         python-urllib3-whl,
-         ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ca-certificates,
+ python-urllib3-whl
 Description: elegant and simple HTTP library for Python, built for human beings
  Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
  multipart files, and parameters with simple Python dictionaries, and access

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,9 @@
 # can't enable it.  Once this issue is fixed, it will be easy to
 # re-enable.
 #
-# https://github.com/kennethreitz/requests/issues/1166
+# https://github.com/kennethreitz/requests/issues/2184
 #
-# barry@debian.org 2014-06-04
+# barry@debian.org 2014-11-19
 #override_dh_auto_test:
 #	PYBUILD_SYSTEM=custom \
 #	PYBUILD_TEST_ARGS="{interpreter} test_requests.py" \

## requests 2.7.0

=== debian/changelog ===
requests (2.7.0-3~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 11 Jun 2015 17:56:35 +0000

requests (2.7.0-3) unstable; urgency=medium

  [ Barry Warsaw ]
  * debian/patches:
    - 02_use-system-chardet-and-urllib3.patch and
      04_make-requests.packages.urllib3-same-as-urllib3.patch: Removed in
      favor of upstream's pull request #2567
    - 05_upstream_devendorize.patch: Upstream's pull request to better
      support the devendorizing of urllib3 and chardet.
      (Closes: #771349, #788383)

  [ Daniele Tricoli ]
  * debian/python{,3}-requests.pyremove
    - Remove embedded copy of chardet and urllib3. Previously it was done by
      02_use-system-chardet-and-urllib3.patch.

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 11 Jun 2015 01:39:13 +0200

requests (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control
    - Add httpie (<< 0.9.2) to python-requests' Breaks since constants
      imported by httpie from requests.compat were removed.

 -- Daniele Tricoli <eriol@mornie.org>  Wed, 27 May 2015 17:31:38 +0200

requests (2.7.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #784095)
    - Embedded copy (not used) of urllib3 does not require SSLv3 anymore.
      (Closes: #770172)
  * debian/control
    - Move python-ndg-httpsclient, python-openssl and python-pyasn1 to Suggests
      inside python-requests' stanza since Python 2.7.9 include SNI support
      and PEP 476 made it as secure as Python 3.
    - Bump python{,3}-urllib3 to 1.10.4.
  * debian/copyright
    - Update copyright years.
    - Update to MPL-2.0 license stanza of requests/cacert.pem (not used but
      shipped in orig tarball).
  * debian/watch
    - Use pypi.debian.net redirector.
  * debian/patches/01_use-system-ca-certificates.patch
    - Refresh and remove CA certificate bundle from MANIFEST.in.
     (Closes: #781610)
  * debian/patches/02_use-system-chardet-and-urllib3.patch
    - Refresh.
  * debian/patches/04_make-requests.packages.urllib3-same-as-urllib3.patch
    - Refresh.
  * debian/patches/05_do-not-ascribe-cookies-to-the-target-domain.patch
    - Remove since fixed upstream.
  * debian/python{,3}-requests.links
    - Remove links thanks to the import machinery in
      04_make-requests.packages.urllib3-same-as-urllib3.patch

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 04 May 2015 21:43:40 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  python-all (>= 2.6.6-3),
  python-chardet,
  python-setuptools,
- python-urllib3 (>= 1.9.1),
+ python-urllib3 (>= 1.10.4),
  python3-all,
  python3-chardet,
  python3-setuptools,
- python3-urllib3 (>= 1.7.1),
+ python3-urllib3 (>= 1.10.4),
  python3-wheel
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
@@ -29,11 +29,12 @@
  ${python:Depends},
  ca-certificates,
  python-chardet,
- python-urllib3 (>= 1.9.1)
-Recommends: 
+ python-urllib3 (>= 1.10.4)
+Suggests: 
   python-ndg-httpsclient,
   python-openssl,
   python-pyasn1
+Breaks: httpie (<< 0.9.2)
 Description: elegant and simple HTTP library for Python2, built for human beings
  Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
  multipart files, and parameters with simple Python dictionaries, and access
@@ -60,7 +61,7 @@
  ${python3:Depends},
  ca-certificates,
  python3-chardet,
- python3-urllib3 (>= 1.9.1)
+ python3-urllib3 (>= 1.10.4)
 Suggests:
  python3-ndg-httpsclient,
  python3-openssl,

## requests 2.8.1

=== debian/changelog ===
requests (2.8.1-1~bpo8+1~nd16.04+1) xenial; urgency=medium

  * Backported for xenial.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 18 Oct 2016 22:13:40 -0400

requests (2.8.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Nov 2015 10:26:14 +0100

requests (2.8.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #802760)
  * debian/control
    - Bump python{,3}-urllib3 to >= 1.12 both in Build-Depends and Depends.
  * debian/patches/05_upstream_devendorize.patch
    - Remove because included since version 2.8.0.
  * debian/patches/02_populate-install_requires.patch
    - Populate install_requires for unbundled packages to avoid breakage
      updating urllib3 via pip when requests/urllib3 are already installed
      via the system packages.

 -- Daniele Tricoli <eriol@mornie.org>  Sat, 24 Oct 2015 17:46:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: requests
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Daniele Tricoli <eriol@mornie.org>
 Section: python
 Priority: optional
@@ -9,27 +10,27 @@
  python-all (>= 2.6.6-3),
  python-chardet,
  python-setuptools,
- python-urllib3 (>= 1.10.4),
+ python-urllib3 (>= 1.12),
  python3-all,
  python3-chardet,
  python3-setuptools,
- python3-urllib3 (>= 1.10.4),
+ python3-urllib3 (>= 1.12),
  python3-wheel
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.0
 Homepage: http://python-requests.org
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/requests/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/requests/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/requests.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/requests.git
 
 Package: python-requests
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  ${misc:Depends},
  ${python:Depends},
  ca-certificates,
  python-chardet,
- python-urllib3 (>= 1.10.4)
+ python-urllib3 (>= 1.12)
 Suggests: 
   python-ndg-httpsclient,
   python-openssl,
@@ -56,12 +57,12 @@
 
 Package: python3-requests
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  ${misc:Depends},
  ${python3:Depends},
  ca-certificates,
  python3-chardet,
- python3-urllib3 (>= 1.10.4)
+ python3-urllib3 (>= 1.12)
 Suggests:
  python3-ndg-httpsclient,
  python3-openssl,
@@ -89,7 +90,7 @@
 
 Package: python-requests-whl
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  ${misc:Depends},
  ${python3:Depends},
  ca-certificates,

## requests 2.9.1

=== debian/changelog ===
requests (2.9.1-3ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Creadentials through HTTP Authorization header
    - debian/patches/CVE-2018-18074.patch: fix in requests/sessions.py,
      test_requests.py.
    - CVE-2018-18074

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 11 Oct 2018 10:30:18 -0300

requests (2.9.1-3) unstable; urgency=medium

  * debian/control
    - Remove python-requests-whl as it's no longer necessary.
    - Remove python3-wheel from Build-Depends.
    - Fix Vcs-Git URI.
    - Bump Standards-Version to 3.9.7 (no changes needed).
    - Bump X-Python3-Version to >= 3.3.
  * debian/copyright
    - Updated copyright years.
  * debian/python-requests-whl.install
    - Remove.
  * debian/rules
    - Remove override_dh_auto_install since we no longer need to
      build the wheel package.

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 12 Feb 2016 07:23:58 +0100

requests (2.9.1-2) unstable; urgency=medium

  * debian/control
    - Tweak fixed dependency on urllib3 1.13.1 to accommodate
      packaging changes, as the version requirement is upstream version
      only. Thanks James Page for report and patch. (Closes: #809485)
    - Use HTTPS scheme for Vcs-Git.

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 24 Jan 2016 21:12:17 +0100

requests (2.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump python{,3}-urllib3 to = 1.13.1-1 both in Build-Depends and Depends.
      Tighten urllib3 dependency is needed because, otherwise, any programs
      depending to requests through pkgresources will fail. Thanks to Vincent
      Bernat for the report.
  * debian/patches/02_populate-install_requires.patch
    - Refresh. (Closes: #809031)

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 27 Dec 2015 13:14:02 +0100

=== debian/control ===
Source: requests
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3),
 python-chardet,
 python-setuptools,
 python-urllib3 (>= 1.13.1), python-urllib3 (<< 1.13.2),
 python3-all,
 python3-chardet,
 python3-setuptools,
 python3-urllib3 (>= 1.13.1), python3-urllib3 (<< 1.13.2),
Standards-Version: 3.9.7
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Homepage: http://python-requests.org
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/requests.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/requests.git

Package: python-requests
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 ca-certificates,
 python-chardet,
 python-urllib3 (>= 1.13.1), python-urllib3 (<< 1.13.2)
Suggests: 
  python-ndg-httpsclient,
  python-openssl,
  python-pyasn1
Breaks: httpie (<< 0.9.2)
Description: elegant and simple HTTP library for Python2, built for human beings
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access
 the response data in the same way. It's powered by httplib and urllib3, but
 it does all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts

Package: python3-requests
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ca-certificates,
 python3-chardet,
 python3-urllib3 (>= 1.13.1), python3-urllib3 (<< 1.13.2)
Suggests:
 python3-ndg-httpsclient,
 python3-openssl,
 python3-pyasn1
Description: elegant and simple HTTP library for Python3, built for human beings
 Requests allow you to send HTTP/1.1 requests. You can add headers, form data,
 multipart files, and parameters with simple Python dictionaries, and access
 the response data in the same way. It's powered by httplib and urllib3, but
 it does all the hard work and crazy hacks for you.
 .
 Features
 .
   - International Domains and URLs
   - Keep-Alive & Connection Pooling
   - Sessions with Cookie Persistence
   - Browser-style SSL Verification
   - Basic/Digest Authentication
   - Elegant Key/Value Cookies
   - Automatic Decompression
   - Unicode Response Bodies
   - Multipart File Uploads
   - Connection Timeouts
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -22,9 +22,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs HISTORY.rst
-
-override_dh_auto_install:
-	dh_auto_install
-	python3 setup.py bdist_wheel \
-		--universal \
-		-d $(CURDIR)/debian/tmp/usr/share/python-wheels
